Page 1 of 1

Need to upgrade Photowiz plugins to the latest versions

Posted: Wed Dec 19, 2012 10:16 pm
by oalessa
I received your mails to upgrade my PhotoWiz plugins but a I failed to act on time. Now the links expired and the installed versions keep crashing. I have PS CS4 running on Mac OSX 10.8.2.

Kindly, send me fresh links to the updates with many thanks and appreciations.

Re: Need to upgrade Photowiz plugins to the latest versions

Posted: Thu Dec 20, 2012 2:23 am
by HaraldHeim
Done.